<!--
 * @Date: 2024-05-22 23:18:15
 * @LastEditors: Sneed
 * @LastEditTime: 2024-05-22 23:35:38
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/dnc/station-file/Log.vue
-->
<template>
    <el-container>
        <el-header>
            <el-input v-model="params.name" style="width: 240px;margin-left: 8px;" placeholder="Please input">
                <template #prefix>文件名称</template>
            </el-input>
            <el-select v-model="params.typeId" style="width: 240px;margin-left: 8px;">
                <template #prefix>
                    文件类型
                </template>
                <el-option v-for="item in options.typeId" :key="item.value" :label="item.label" :value="item.value" />
            </el-select>
            <el-date-picker style="width: 260px;flex-grow: 0;margin-left: 8px;" v-model="params.name" type="daterange"
                range-separator="-" start-placeholder="操作开始时间" end-placeholder="操作结束时间">
            </el-date-picker>
            <el-select v-model="params.typeId" style="width: 240px;margin-left: 8px;margin-right: auto;">
                <template #prefix>
                    操作类型
                </template>
                <el-option v-for="item in options.typeId" :key="item.value" :label="item.label" :value="item.value" />
            </el-select>
        </el-header>
        <el-main>
            <scTable highlight-current-row @dataChange="dataChange" @row-click="rowClick" ref="table" :params="params"
                :apiObj="apiObj" @selection-change="selectionChange" stripe>
                <el-table-column type="selection" width="50"></el-table-column>
                <el-table-column label="文件名称" prop="name">
                </el-table-column>
                <el-table-column label="文件路径" prop="allPathName"></el-table-column>
                <el-table-column label="大小" prop="contentLength"></el-table-column>
                <el-table-column label="文件类型" prop="suffix"></el-table-column>
                <el-table-column label="更新时间" prop="updateTime"></el-table-column>
                <el-table-column label="操作" fixed="right" align="right" width="160">
                    <template #default="scope">
                        <el-button-group>
                            <el-button text type="primary" size="small"
                                @click="table_edit(scope.row, scope.$index)">编辑</el-button>
                            <el-button text type="primary" size="small" @click="del([scope.row])">删除</el-button>
                        </el-button-group>
                    </template>
                </el-table-column>
            </scTable>
        </el-main>
    </el-container>
</template>

<script>
export default {
    data() {
        return {
            params: {
                name: ''
            },
            options: {
                typeId: []
            }
        }
    },
}
</script>

<style lang="scss" scoped></style>